# File tres/Scripts/tmcal.cl
# By Doug Mink, SAO Telescope Data Center
# February 11, 2008

# TMCAL -- Dispersion correct list of calibration lamp spectra

procedure tmcal (spectra)

string	spectra = ""	{prompt="Input multispec image(s) to correct"}

string	idroot="comp"	{prompt="Root name for comparison reference file"}
string	iddir="tresdata$" {prompt="Directory for comparison reference file"}

bool deltemp = no	{prompt="Delete temporary files (y or n)"}
bool saveold = yes	{prompt="Save original file to Nonorm/ (y or n)"}
bool verbose = yes	{prompt="Log progress (y or n)"}

struct *calfiles

begin
	file imin, templist
	string ims

	ims = spectra

	tcal.idroot = idroot
	tcal.iddir = iddir
	tcal.saveold = saveold
	tcal.verbose = verbose

#  Make temporary list of input files
        templist = mktemp ("tempcomp") // ".list"
        files (ims, >templist)

        calfiles = templist
        while (fscan (calfiles,imin) != EOF) {
	    if (verbose)
		print ("TMCAL: Processing ", imin)
	    tcal (imin)
	    }

# Delete temporary file list if requested
	if (deltemp) {
	    delete (templist)
	    }

end

# Jan 29 2008	New task to process multiple calibration files at once
# Feb 11 2008	Change name of temporary file from tempcomp* to tempcomp*list
